> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /courtlistener/judges

> Get a US judge with biography, judicial positions, education, ABA ratings and party affiliation

**Price:** 1 credit

**⚠️ Common errors:** 412: Judge not found



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/courtlistener/judges
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/courtlistener/judges:
    post:
      tags:
        - /courtlistener
      summary: /courtlistener/judges
      description: >-
        Get a US judge with biography, judicial positions, education, ABA
        ratings and party affiliation


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Judge not found
      operationId: __api_courtlistener_judges_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CourtlistenerJudgePayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CourtlistenerJudge'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CourtlistenerJudgePayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        judge:
          type: integer
      type: object
      required:
        - judge
    CourtlistenerJudge:
      properties:
        '@type':
          type: string
          default: CourtlistenerJudge
        id:
          type: integer
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        name_first:
          anyOf:
            - type: string
            - type: 'null'
        name_middle:
          anyOf:
            - type: string
            - type: 'null'
        name_last:
          anyOf:
            - type: string
            - type: 'null'
        name_suffix:
          anyOf:
            - type: string
            - type: 'null'
        gender:
          anyOf:
            - type: string
            - type: 'null'
        religion:
          anyOf:
            - type: string
            - type: 'null'
        races:
          items:
            type: string
          type: array
          default: []
        fjc_id:
          anyOf:
            - type: integer
            - type: 'null'
        ftm_total_received:
          anyOf:
            - type: number
            - type: 'null'
        has_photo:
          type: boolean
          default: false
        born_at:
          anyOf:
            - type: integer
            - type: 'null'
        died_at:
          anyOf:
            - type: integer
            - type: 'null'
        dob_city:
          anyOf:
            - type: string
            - type: 'null'
        dob_state:
          anyOf:
            - type: string
            - type: 'null'
        dob_country:
          anyOf:
            - type: string
            - type: 'null'
        dod_city:
          anyOf:
            - type: string
            - type: 'null'
        dod_state:
          anyOf:
            - type: string
            - type: 'null'
        dod_country:
          anyOf:
            - type: string
            - type: 'null'
        positions:
          items:
            $ref: '#/components/schemas/CourtlistenerJudgePosition'
          type: array
          default: []
        educations:
          items:
            $ref: '#/components/schemas/CourtlistenerJudgeEducation'
          type: array
          default: []
        aba_ratings:
          items:
            $ref: '#/components/schemas/CourtlistenerAbaRating'
          type: array
          default: []
        political_affiliations:
          items:
            $ref: '#/components/schemas/CourtlistenerPoliticalAffiliation'
          type: array
          default: []
        web_url:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CourtlistenerJudgePosition:
      properties:
        '@type':
          type: string
          default: CourtlistenerJudgePosition
        id:
          type: integer
        position_type:
          anyOf:
            - type: string
            - type: 'null'
        job_title:
          anyOf:
            - type: string
            - type: 'null'
        organization_name:
          anyOf:
            - type: string
            - type: 'null'
        court_id:
          anyOf:
            - type: string
            - type: 'null'
        appointer_id:
          anyOf:
            - type: string
            - type: 'null'
        predecessor_id:
          anyOf:
            - type: string
            - type: 'null'
        supervisor_id:
          anyOf:
            - type: string
            - type: 'null'
        location_city:
          anyOf:
            - type: string
            - type: 'null'
        location_state:
          anyOf:
            - type: string
            - type: 'null'
        selection_method:
          anyOf:
            - type: string
            - type: 'null'
        nomination_process:
          anyOf:
            - type: string
            - type: 'null'
        termination_reason:
          anyOf:
            - type: string
            - type: 'null'
        votes_yes:
          anyOf:
            - type: integer
            - type: 'null'
        votes_no:
          anyOf:
            - type: integer
            - type: 'null'
        votes_yes_percent:
          anyOf:
            - type: number
            - type: 'null'
        votes_no_percent:
          anyOf:
            - type: number
            - type: 'null'
        nominated_at:
          anyOf:
            - type: integer
            - type: 'null'
        elected_at:
          anyOf:
            - type: integer
            - type: 'null'
        confirmed_at:
          anyOf:
            - type: integer
            - type: 'null'
        start_at:
          anyOf:
            - type: integer
            - type: 'null'
        terminated_at:
          anyOf:
            - type: integer
            - type: 'null'
        retired_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    CourtlistenerJudgeEducation:
      properties:
        '@type':
          type: string
          default: CourtlistenerJudgeEducation
        id:
          type: integer
        school_name:
          anyOf:
            - type: string
            - type: 'null'
        degree_level:
          anyOf:
            - type: string
            - type: 'null'
        degree_detail:
          anyOf:
            - type: string
            - type: 'null'
        degree_year:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    CourtlistenerAbaRating:
      properties:
        '@type':
          type: string
          default: CourtlistenerAbaRating
        year_rated:
          anyOf:
            - type: integer
            - type: 'null'
        rating:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    CourtlistenerPoliticalAffiliation:
      properties:
        '@type':
          type: string
          default: CourtlistenerPoliticalAffiliation
        political_party:
          anyOf:
            - type: string
            - type: 'null'
        source:
          anyOf:
            - type: string
            - type: 'null'
        start_at:
          anyOf:
            - type: integer
            - type: 'null'
        end_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````